Bug 1098457 - Add some way to determine dependencies
Summary: Add some way to determine dependencies
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-16 09:04 UTC by Colin Walters
Modified: 2016-07-19 11:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:31:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Colin Walters 2014-05-16 09:04:06 UTC
For rpm-ostree, I am using dracut on a compose server side - clients merely replicate the pregenerated images.

The problem is that right now I am rebuilding the initramfs any time any package changes, because I don't know what dracut is going to put in there.

What I'd like is something like:

dracut --print-dependencies

I could then resolve this to RPMs, and resolve their dependencies.  If the input to dracut hasn't changed, I could then just reuse the previously generated initramfs.

BTW, we could also use this on the client side instead of just relying on kernel %post - it's conceptually broken that the only time we generate the initramfs is on kernel install.  You can get an old version of systemd in the initramfs for a while until the kernel is updated.

Comment 1 Colin Walters 2014-09-09 19:04:16 UTC
Also, note this whole model reverts the dracut hostonly change.  What we need to do instead is ensure that the OS works with an immutable initramfs, and any additional configuration state (such as keyboard mappings, systemd machine id) are stored as kernel commandline arguments, or as concatenated initramfs images.

Comment 2 Harald Hoyer 2014-09-10 09:21:40 UTC
I agree, that such a feature would be nice.

Comment 3 Harald Hoyer 2014-09-10 12:57:43 UTC
(In reply to Colin Walters from comment #0)
> 
> BTW, we could also use this on the client side instead of just relying on
> kernel %post - it's conceptually broken that the only time we generate the
> initramfs is on kernel install.  You can get an old version of systemd in
> the initramfs for a while until the kernel is updated.

That might be dangerous, because on kernel updates, you will at least have a fallback entry in the bootloader for an older initramfs.

Comment 4 Harald Hoyer 2014-09-11 14:48:07 UTC
http://git.kernel.org/cgit/boot/dracut/dracut.git/commit/?id=37383f71235e33520a8fe717573c0666cd8c41fc

$ dracut -H --loginstall /tmp/tt
[…]

$ rpm -qf --qf '%{NAME}\n' $(cat /tmp/tt/*.log) | fgrep -v 'not owned'|sort -u
[…]
bash
btrfs-progs
coreutils
glibc
[…]

Comment 5 Jaroslav Reznik 2015-03-03 17:08:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Mike McCune 2016-03-28 22:30:10 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Fedora End Of Life 2016-07-19 11:31:51 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.